Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036356
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-06-27 10:172017-09-21 16:49
ReporterVictorVillarView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisiond9d3b766dc79
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036356: In Sales quotation window, it does not populate well the basic discount after changing the Business Partner.

DescriptionIn Sales quotation window, it does not populate well the basic discount after changing the Business Partner.
Steps To ReproduceGo to Sales Quotation
Create a new register for Alimentos y Supermercados which has a 10% basic discount defined for them
Save the register and check in the Basic Discount tab that the Discount 10% appears
Change the Business Partner and select Restaurantes luna llena which has a 5% basic discount defined for them.
Check that the basic discount tab still is showing Discount 10%
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0097726)
collazoandy4 (developer)
2017-06-27 23:11
edited on: 2017-07-04 16:07

Test Plan
  As F&B International Group admin role
    Go to Sales Quotation window and create a new record for Alimentos y Supermercados business partner
      Save the record and check in Basic Discount tab that the Discount 10% appears
      Change the Business Partner and select Restaurantes luna llena
      Save the record and check in Basic Discount tab that the Discount 5% replace the 10% Discount line

   Repeat the test case above for Sales Order

   Test Case 2
     Go to Business Partner window and select Alimentos y Supermercados, S.A record and create a new record in Basic discount tab:
         Basic discount: Descuento 5%
       Select Restaurantes luna llena record and create a new record in Basic discount tab:
         Basic discount: Descuento 10%
     Go to Sales Invoice window and create a new record for Alimentos y Supermercados business partner
      Save the record and check in Basic Discount tab that the Discount 5% appears
      Change the Business Partner and select Restaurantes luna llena
      Save the record and check in Basic Discount tab that the Discount 10% replace the 5% Discount line

(0097969)
hgbot (developer)
2017-07-10 12:27

Repository: erp/devel/pi
Changeset: d9d3b766dc79ab2bec04a0f0cfbfbfd9f83f450f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jul 10 11:25:45 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d9d3b766dc79ab2bec04a0f0cfbfbfd9f83f450f [^]

Fixes issue 36356: Basic Discount not updated when changing Business Partner

Basic discount information was only taking into account when inserting a new order
or a new invoice.

Now the basic discount information are updated with the business partner
change in the order or invoice header.

---
M src-db/database/model/triggers/C_INVOICE_TRG2.xml
M src-db/database/model/triggers/C_ORDER_TRG2.xml
M src/org/openbravo/event/OrderEventHandler.java
A src/org/openbravo/event/InvoiceEventHandler.java
---
(0097970)
hgbot (developer)
2017-07-10 12:28

Repository: erp/devel/pi
Changeset: 278f3a69030df5b3dbe24bda5e0a3e964c7770bf
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jul 10 12:26:51 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/278f3a69030df5b3dbe24bda5e0a3e964c7770bf [^]

Related to issue 36356: Code review improvements

---
M src-db/database/model/triggers/C_INVOICE_TRG2.xml
M src-db/database/model/triggers/C_ORDER_TRG2.xml
M src/org/openbravo/event/InvoiceEventHandler.java
M src/org/openbravo/event/OrderEventHandler.java
---
(0097971)
aferraz (developer)
2017-07-10 12:30

Fix done by collazoandy4.
(0097972)
aferraz (developer)
2017-07-10 12:30

Code review + Testing OK
(0099258)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099259)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-27 10:17 VictorVillar New Issue
2017-06-27 10:17 VictorVillar Assigned To => Triage Finance
2017-06-27 10:17 VictorVillar Modules => Core
2017-06-27 10:17 VictorVillar Triggers an Emergency Pack => No
2017-06-27 10:32 ngarcia Issue Monitored: ngarcia
2017-06-27 11:10 vmromanos Status new => scheduled
2017-06-27 11:10 vmromanos Assigned To Triage Finance => collazoandy4
2017-06-27 23:11 collazoandy4 Note Added: 0097726
2017-07-04 16:07 collazoandy4 Note Edited: 0097726 View Revisions
2017-07-10 12:27 hgbot Checkin
2017-07-10 12:27 hgbot Note Added: 0097969
2017-07-10 12:27 hgbot Status scheduled => resolved
2017-07-10 12:27 hgbot Resolution open => fixed
2017-07-10 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d9d3b766dc79ab2bec04a0f0cfbfbfd9f83f450f [^]
2017-07-10 12:28 hgbot Checkin
2017-07-10 12:28 hgbot Note Added: 0097970
2017-07-10 12:30 aferraz Note Added: 0097971
2017-07-10 12:30 aferraz Review Assigned To => aferraz
2017-07-10 12:30 aferraz Note Added: 0097972
2017-07-10 12:30 aferraz Status resolved => closed
2017-07-10 12:30 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099258
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099259


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker